@echo off

IF "%1"=="" GOTO USAGE
IF "%2"=="" GOTO USAGE

SET BIN_FILE=%~$PATH:1
SET PATCH_NAME=%2
SET PREREQ_FILE=%BIN_FILE%.%PATCH_NAME%

IF NOT EXIST "%PREREQ_FILE%" GOTO ERROR
echo Verified prerequisite: %PATCH_NAME%
SET LOCALERRORLEVEL=0
GOTO FIN

:USAGE
echo.
echo Usage: prereq ^<BINFILE^> ^<PATCH^>
echo        prereq playback.dll IY44281
SET LOCALERRORLEVEL=1
GOTO FIN

:ERROR
echo File does not exist : %PREREQ_FILE%
echo Prerequisite failure: PATCH %PATCH_NAME% must be applied first
SET LOCALERRORLEVEL=2

:FIN
